def f(filename):
    numbers = []
    file = open(filename, 'r')
    for i in file:
        line_numbers = i.strip().split()
        for j in line_numbers:
            numbers.append(float(j))
    file.close()
    return numbers
